Class CreateRoleAssignmentRequest
java.lang.Object
com.eqixiac.equinix.iam.model.json.creators.CreateRoleAssignmentRequest
Request body for creating an IAM role assignment via
POST /v1/roleAssignments
(operationId createRoleAssignment, spec schema CreateRoleAssignmentInput).
The assignmentScope property is a nested object modelled by the CreateRoleAssignmentRequest.AssignmentScope
inner class.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classNested object describing the scope of a role assignment — the resource (byidandtype) within which the assigned role applies, optionally with aparentreference. -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionassignmentScope(CreateRoleAssignmentRequest.AssignmentScope assignmentScope) Sets the assignment scope that bounds the role assignment.Sets the principal (required) to which the role is assigned.Sets the role identifier (required) being assigned.
-
Constructor Details
-
CreateRoleAssignmentRequest
public CreateRoleAssignmentRequest()
-
-
Method Details
-
principal
Sets the principal (required) to which the role is assigned.- Parameters:
principal- the principal- Returns:
- this request for chaining
-
roleId
Sets the role identifier (required) being assigned.- Parameters:
roleId- the role id- Returns:
- this request for chaining
-
assignmentScope
public CreateRoleAssignmentRequest assignmentScope(CreateRoleAssignmentRequest.AssignmentScope assignmentScope) Sets the assignment scope that bounds the role assignment.- Parameters:
assignmentScope- the assignment scope- Returns:
- this request for chaining
-